Package org.eclipse.emf.compare.match

# Interface IComparisonFactory

All Known Implementing Classes:
  `DefaultComparisonFactory`

public interface IComparisonFactory
A factory for `Comparison`. Used by the `DefaultMatchEngine`.

## Method Summary

Modifier and Type
Method
Description
`Comparison`
`createComparison()`
Returns a new `Comparison`.

## Method Details

### createComparison

Comparison createComparison()
Returns a new `Comparison`.

Returns:
  a new `Comparison`.